
package sam.entry;


/** Easy "tee" on entry enumerators */
public class Multiple extends Enumerator {
	private final Enumerator first, next;

	public Multiple(Enumerator first, Enumerator next) {
		this.first = first;
		this.next = next;
	}


	public Entry nextEntry() {
		if ( (first != null) && first.hasMoreElements() )
			return first.nextEntry();
		if (next == null)
			return null;
		return next.nextEntry();
	}

	public boolean hasMoreElements() {
		return ( (first != null) && first.hasMoreElements() ) || ( (next != null) && next.hasMoreElements() );
	}

	public String toString() {
		return ((first == null) ? "" : (first + " ")) + ((next == null) ? "" : next.toString() );
	}

}

