
package sam.event;


/** Central event notifier.
 ** @see FileEventNotifier
 ** @see ProgressEventNotifier
 **/
public class EventNotifier {

	/** The <CODE>FileEvent</CODE> notifier **/
	private FileEventNotifier file;

	/** Gets the <CODE>FileEvent</CODE> notifier **/
	public FileEventNotifier file() { return file; }

	/** The <CODE>ProgressEvent</CODE> notifier **/
	private ProgressEventNotifier progress;

	/** The <CODE>ProgressEvent</CODE> notifier **/
	public ProgressEventNotifier progress() { return progress; }

	/** Builds a new event notifier.
	 ** @param file the <CODE>FileEvent</CODE> notifier.
	 ** @param progress the <CODE>ProgressEvent</CODE> notifier.
	 **/
	public EventNotifier(FileEventNotifier file, ProgressEventNotifier progress) {
		this.file = file;
		this.progress = progress;
	}


}
