
package sam.event;


/** Trivial <CODE>FileEvent</CODE> listener that does nothing.
 ** <p>Useful for easy inner-class subclassing.
 **/
public class FileEventAdapter extends FileEventListener {

	/**	Called whenever a file is processed **/
	protected void processed(FileEvent event) {  }

	/**	Called whenever the handling of a file failed **/
	protected void failed(FileEvent event) {  }

	/**	Called whenever a file is missing **/
	protected void missing(FileEvent event) {  }

	/**	Called whenever a file is overwritten **/
	protected void overwritten(FileEvent event) {  }

	/**	Called whenever a file does not match its archived version **/
	protected void mismatching(FileEvent event) {  }

	/**	Called whenever a file is skipped,
	 ** for example because it is too old or does not match specified regular expression
	 **/
	protected void skipped(FileEvent event) {  }

}
