
package sam.event;


/** Generic type of <CODE>FileEvent</CODE> listeners
 **/
public abstract class FileEventListener {

	/**	Called whenever a file is processed **/
	protected abstract void processed(FileEvent event);

	/**	Called whenever the handling of a file failed **/
	protected abstract void failed(FileEvent event);

	/**	Called whenever a file is missing **/
	protected abstract void missing(FileEvent event);

	/**	Called whenever a file is overwritten **/
	protected abstract void overwritten(FileEvent event);

	/**	Called whenever a file does not match its archived version **/
	protected abstract void mismatching(FileEvent event);

	/**	Called whenever a file is skipped,
	 ** for example because it is too old or does not match specified regular expression
	 **/
	protected abstract void skipped(FileEvent event);

}
