

package sam.io;


import java.io.*;



/** Bit-level input stream.
 ** @see BitOutputStream
 **/
public class BitInputStream {
		private final InputStream delegee;
		private int buffer;
		private int mask = 0;

		protected BitInputStream(final InputStream delegee) {
				this.delegee = delegee;
		}

		/** @throws EOFException at end of stream	**/
		public boolean read() throws IOException {
				if (mask < 1)
						reload();
				boolean result = (buffer & mask) != 0;
				mask >>= 1;
				return result;
		}

		public void close() throws IOException {  delegee.close(); }


		/** @throws EOFException at end of stream	**/
		private void reload() throws IOException {
				buffer = delegee.read();
				if (buffer < 0)
						throw new EOFException();
				mask = 0x80;
		}

}


