
package sam.io;


import java.io.*;



/** <CODE>OutputStream</CODE> filter which counts written bytes
 **/
public class ByteCountOutputStream extends java.io.OutputStream {
			private long numberOfWrittenBytes;
			private java.io.OutputStream delegee;
				
			public ByteCountOutputStream(java.io.OutputStream delegee) {
				this.delegee = delegee;
				reset();
			}

			public void write(int b) throws IOException {
				try {
					delegee.write(b);
					++ numberOfWrittenBytes;
				} catch (IOException e) {  // Just to avoid incrementing <CODE>numberOfWrittenBytes</CODE> in case of an exception
					throw e;
				}
			}

			public void write(byte[] data, int begin, int length) throws IOException {
				delegee.write(data, begin, length);
				numberOfWrittenBytes += length;
			}

			public void flush() throws IOException { delegee.flush();	}

			public void close() throws IOException { delegee.close();	}

			public void reset() {	numberOfWrittenBytes = 0;	}

			public long numberOfWrittenBytes() { return numberOfWrittenBytes;	}



}

