
package sam.io;

import sam.toolkit.Text;

import java.util.zip.Checksum;


/** Exception thrown whenever the computed checksum does not match the required one.
 **/
public class MismatchingChecksumException extends java.io.IOException {

	/** Builds a new <CODE>MismatchingChecksumException</CODE>
	 ** @param computed the computed checksum
	 ** @param required the required checksum value
	 **/
	public MismatchingChecksumException(Checksum computed, long required) {
		super("Mismatching " + computed.getClass().getName() + " checksum: got 0x" +
					Text.toHexa(computed.getValue()) + " instead of 0x" + Text.toHexa(required) );
	}

}

