
package sam;

import sam.core.*;
import sam.rules.*;
import sam.ui.UserInterface;
import sam.ui.LogInterface;


/** Simple <CODE>main</CODE> wrapper.
 ** <p>The program thus should be invoked through <CODE>java sam.main [arguments]</CODE>
 **/
public class main {

	static {
		Settings.Startup.load();
		UserInterface.get().log().log(0, main.class, Settings.Environment.greetings() );
		UserInterface.get().log().log(0, main.class, "This is " + Settings.Environment.programDescription() );
	}

	public static void main(String[] arguments) {
		try {
			final SyntaxSet syntaxSet = SyntaxSet.get();
			UserInterface.get().log().log(21, main.class, "Defined prefixes \"" + syntaxSet.getDeclaredTypes() + "\"");
			syntaxSet.parse(arguments);
			RuleSet ruleSet = new RuleSet();
			ruleSet.set(syntaxSet);
			UserInterface.get().log().log(21, main.class, "Parsed " + ruleSet.verbose() );
			ModusOperandi modusOperandi = new ModusOperandi();
			modusOperandi.process(ruleSet);
		} catch (UserInterface.Abort abort) {
			UserInterface.get().running().print("Program terminated");
		} catch (Throwable t) {
			UserInterface.get().running().print("Fatal error", "program terminated");
			t.printStackTrace();
		} finally {
			Settings.Stop.unload();
		}
	}


}
