
package sam.rules;

import sam.ui.UserInterface;

/** Class representing one of the rules the program has to follow.
 ** <p>A rule describes one of the variable parameter that control he program behaviour,
 ** e.g. the archive name, the ciphers to be used, etc.
 ** @see Syntax
 ** @see ModusOperandi
 **/
public abstract class Rule {

	/** Sets this rule parameter to specified modusOperandi **/
	public abstract void setTo(ModusOperandi modusOperandi);

	/** Saves this rule parameter to specified archive **/
	public abstract void saveTo(java.util.jar.JarOutputStream archive);

	/** Turns this rule into a parsable switch **/
	public abstract String toSwitch();

	/** Verbosely describes this rule parameter **/
	public abstract String verbose();

}


