
package sam.rules;

import sam.ui.UserInterface;

import java.util.*;


/** Class for representing a whole rule set which describe the program to-do list.
 ** @see Command
 **/
public class RuleSet {

	/** The ordered list of all rules of a program run. **/
	private List rules = new LinkedList();

	/** Imports a syntax set **/
	public void set(SyntaxSet syntaxSet) {
		for (Enumeration syntaxes = syntaxSet.syntaxes(); syntaxes.hasMoreElements(); ) {
			final Rule rule = ((Syntax) syntaxes.nextElement()).getRule();
			if (rule != null)
				rules.add(rule);
		}
	}

	/** Saves this rule set into specified archive **/
	public void saveTo(java.util.jar.JarOutputStream archive) {
		for (Iterator rules_ = rules.iterator(); rules_.hasNext(); )
			((Rule) rules_.next()).saveTo(archive);
	}

	/** Builds a new <CODE>Command</CODE> instance **/
	public void setTo(ModusOperandi modusOperandi) {
		for (Iterator rules_ = rules.iterator(); rules_.hasNext(); )
			((Rule) rules_.next()).setTo(modusOperandi);
	}

	/** Verbosely describes this rule set. **/
	public String verbose() {
		StringBuffer buffer = new StringBuffer();
		for (Iterator rules_ = rules.iterator(); rules_.hasNext(); )
			buffer.append( ((Rule) rules_.next()).verbose() ).append(" ");
		return buffer.toString();
	}

}
