
package sam.toolkit;

import java.util.Map;
import java.util.HashMap;

/** Class registry that keeps trace of registration names
 ** associated to specific names.
 **/
public class NamedClassRegistry extends ClassRegistry {

	/** The dictionnary of registered names.
	 **/
	private final Map names = new HashMap();

	/** Builds a new <CODE>NamedClassRegistry</CODE> for specified base type and
	 ** specified description.
	 **/
	public NamedClassRegistry(Class baseType, String description) { super(baseType, description); }

	/** Registers a new target as <CODE>name</CODE>
	 **/
	public boolean register(Class target, String name) throws ClassCastException {
		boolean registrationSucceeded = super.register(target, name);
		names.put(target, name);
		return registrationSucceeded;
	}

	public String getName(Class type) {
		if (type == null)
			return null;
		return (String) names.get(type);
	}

}

